

/**
 * Trig class to perform trig function for our Graphing Calculator
 * (sin, cos, tan, inverses, degree to radian)
 * Lauren Green
 * 10/19/18
 */
public class Trig
{
    int input = 0;
    double answer;
    
    public Trig()
    {
        //a check to make sure user input is valid
        boolean validInput = false;
        
        while(!validInput) {
        //Get input of type of function
        String operation = Console.getStringInput("Which trignometric function would you like to run? \n sin, cos, tan, arcsin, arccos, arctan");
        operation = operation.toLowerCase();
        
        //Get input of number
        int input = Console.getIntegerInput("What number would you like to find the " + operation + " of?");
        
        //Do the math depending on the input.
        //SIN
        if (operation.equals("sin")) {
            answer = Math.sin(input);
            Console.println(Double.toString(answer));
            validInput = true;
            
        //COS
        } else if (operation.equals("cos")) {
            answer = Math.cos(input);
            Console.println(Double.toString(answer));
            validInput = true;
            
        //TAN
        } else if (operation.equals("tan")) {
            answer = Math.tan(input);
            Console.println(Double.toString(answer));
            validInput = true;
            
        //ARCSIN
        } else if (operation.equals("arcsin")) {
            answer = Math.asin(input);
            Console.println(Double.toString(answer));
            validInput = true;
            
        //ARCCOS
        } else if (operation.equals("arccos")) {
            answer = Math.acos(input);
            Console.println(Double.toString(answer));
            validInput = true;
            
        //ARCTAN
        } else if (operation.equals("arctan")) {
            answer = Math.atan(input);
            Console.println(Double.toString(answer));
            validInput = true;
           
        //Error message if input does not match options, loops back to the top so they can try again.
        } else {
            Console.println("Error, try again \n");
            
    }
}
        //Ask if they would like to convert.
        String response = Console.getStringInput("Would you like to convert your answer from radian to degrees?  Y or N");
        response = response.toLowerCase();
        if (response.equals("y")) {
            toDegrees(answer);
    } else {
        Console.println("Have a nice day!");
        //Insert Return to Main Menu
}
    }
    //Converting from Radians to Degrees
    public void toDegrees(double answer) 
    {
        double conversion = Math.toDegrees(answer);
        Console.println(Double.toString(conversion));
        //Insert Return to Main Menu
    }
}

    